Name:       ibus-table-yong
Version:    1.2.0.20090717
Release:    3%{?dist}
Summary:    Yong input methods for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2
Requires(post):   ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2

%description
The package contains Yong input methods for Table engine of IBus platform. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix}
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install
%__mv %{buildroot}/%{_datadir}/ibus-table/tables/yong-ibus.db \
      %{buildroot}/%{_datadir}/ibus-table/tables/yong_ibus.db

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n yong_ibus.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/ibus-table/tables/yong_ibus.db
%{_datadir}/ibus-table/icons/yong.png

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0.20090717-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.1.0.20090717-2.fc12
- Removed unneccessary BuildRequires.
- Removed unneccessary owned directories.
- Changed autogen.sh into configure.

* Fri Jul 17 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.1.0.20090717-1.fc12
- Rebuilt with IBus 1.2.

* Tue May 19 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.1.0.20090422-6.fc12
- Removed bootstrap.
- Refined dependency.
- Changed commands into macros.
- Fixed index creation to run tool in correct location.
- Added owned directories.

* Tue May 19 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 1.1.0.20090422-5.fc12
- Create index only during post-install.

* Wed May 06 2009 Caius 'kaio' Chance <cchance AT redhat DOT com> - 
  1.1.0.20090422-4.fc12
- Fixed filename issues of table file from hyphen to underscore.

* Tue May 05 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-3.fc12
- Fixed inclusion of yong-ibus.txt instead of yong-ibus.db for post-inst proc.

* Thu Apr 23 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-2.fc12
- Refined files properties and updated description.

* Wed Apr 22 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090422-1.fc12
- Updated from upstream (with icon installed correctly by make install).

* Tue Apr 21 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090421-1.fc12
- Introduced from upstream.
